LOG_DRIVER = env PGREP='$(PGREP)' AM_TAP_AWK='$(AWK)' $(SHELL) \
$(top_srcdir)/tests/utils/tap-driver.sh
-TESTS = shellcheck-tests
+TESTS = test_shellcheck
+
+EXTRA_DIST = $(TESTS)
+
+all-local:
+ @if [ x"$(srcdir)" != x"$(builddir)" ]; then \
+ for script in $(EXTRA_DIST); do \
+ cp -f $(srcdir)/$$script $(builddir); \
+ done; \
+ fi
+
+clean-local:
+ @if [ x"$(srcdir)" != x"$(builddir)" ]; then \
+ for script in $(EXTRA_DIST); do \
+ rm -f $(builddir)/$$script; \
+ done; \
+ fi
+++ /dev/null
-#!/usr/bin/env bash
-# SPDX-License-Identifier: GPL-2.0-only
-#
-# Copyright (c) 2023 Olivier Dion <odion@efficios.com>
-
-# Augment this list incrementally when a shell script passes shellcheck.
-#
-# All file must be relative to the test directory.
-files=(
- meta/shellcheck-tests
- run.sh
-)
-
-TESTDIR=$(dirname "$0")/..
-
-# shellcheck source=../utils/tap/tap.sh
-source "$TESTDIR/utils/tap/tap.sh"
-
-function shellcheck_ok() {
- shellcheck --external-sources "$1"
- ok $? "Checking $1"
-}
-
-plan_tests "${#files[@]}"
-
-for f in "${files[@]}";
-do
- shellcheck_ok "$TESTDIR/$f"
-done
--- /dev/null
+#!/usr/bin/env bash
+# SPDX-License-Identifier: GPL-2.0-only
+#
+# Copyright (c) 2023 Olivier Dion <odion@efficios.com>
+
+# Augment this list incrementally when a shell script passes shellcheck.
+#
+# All file must be relative to the test directory.
+files=(
+ meta/test_shellcheck
+ run.sh
+)
+
+TESTDIR=$(dirname "$0")/..
+
+# shellcheck source=../utils/tap/tap.sh
+source "$TESTDIR/utils/tap/tap.sh"
+
+function shellcheck_ok() {
+ shellcheck --external-sources "$1"
+ ok $? "Checking $1"
+}
+
+plan_tests "${#files[@]}"
+
+for f in "${files[@]}";
+do
+ shellcheck_ok "$TESTDIR/$f"
+done